summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Martin Szulecki2020-06-09 03:49:01 +0200
committerGravatar Martin Szulecki2020-06-09 03:56:41 +0200
commit28ddeccdfed5a9d7bd23cf73442343972009fddb (patch)
tree3024befcc1412f57280fdf52ba7e9aabe79d214a
parent550899aed9402c05ea64788eb8bf3c6f1c9dc29b (diff)
downloadusbmuxd-28ddeccdfed5a9d7bd23cf73442343972009fddb.tar.gz
usbmuxd-28ddeccdfed5a9d7bd23cf73442343972009fddb.tar.bz2
Apply changes towards a project wide common "autogen.sh" file
-rwxr-xr-xautogen.sh42
1 files changed, 27 insertions, 15 deletions
diff --git a/autogen.sh b/autogen.sh
index 858fca3..5936e8a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,31 @@
#!/bin/sh
-gprefix=`which glibtoolize 2>&1 >/dev/null`
-if [ $? -eq 0 ]; then
- glibtoolize --force
-else
- libtoolize --force
-fi
-aclocal -I m4
-autoheader
-automake --add-missing
-autoconf
-requires_pkgconfig=`which pkg-config 2>&1 >/dev/null`
-if [ $? -ne 0 ]; then
- echo "Missing required pkg-config. Please install it on your system and run again."
-fi
+
+olddir=`pwd`
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(
+ cd "$srcdir"
+
+ gprefix=`which glibtoolize 2>&1 >/dev/null`
+ if [ $? -eq 0 ]; then
+ glibtoolize --force
+ else
+ libtoolize --force
+ fi
+ aclocal -I m4
+ autoheader
+ automake --add-missing
+ autoconf
+
+ requires_pkgconfig=`which pkg-config 2>&1 >/dev/null`
+ if [ $? -ne 0 ]; then
+ echo "Missing required pkg-config. Please install it on your system and run again."
+ fi
+
+ cd "$olddir"
+)
if [ -z "$NOCONFIGURE" ]; then
- ./configure "$@"
+ $srcdir/configure "$@"
fi